#include "Components.h"

void AMT630H_GUI_Background()
{
if (SYS_OPR_STAT_IGN_ON)
    { 

      SetPagePic(GRAPHICS_PAGE_0, Pic_0058_360_325);
      SetPagePic(GRAPHICS_PAGE_0, Pic_0012_22_397);//Pic_0001_0_0白色主题背景



        SetPagePic(GRAPHICS_PAGE_0, Pic_0101_728_486);
        SetPagePic(GRAPHICS_PAGE_0, Pic_0128_429_152);
        SetPagePic(GRAPHICS_PAGE_0, Pic_0176_903_396);
        SetPagePic(GRAPHICS_PAGE_0, Pic_0156_197_485);
        SetPagePic(GRAPHICS_PAGE_0, Pic_0211_564_211);
        SetPagePic(GRAPHICS_PAGE_0, Pic_0244_360_194);
        SetPagePic(GRAPHICS_PAGE_0, Pic_0303_189_486);
        SetPagePic(GRAPHICS_PAGE_0, Pic_0385_250_553);

        //SetPagePicFree(GRAPHICS_PAGE_0, Pic_0694_54_327, 200,327);//中间显示道路装饰线
       
   
       //SetPagePic(GRAPHICS_PAGE_0, Pic_0012_0_95);//中间显示光晕
       //
       //SetPagePic(GRAPHICS_PAGE_0, Pic_0047_264_95);//右侧表盘
       //SetPagePic(GRAPHICS_PAGE_0, Pic_0048_610_229);//右侧指针
       //SetPagePic(GRAPHICS_PAGE_0, Pic_0052_44_95);//左侧表盘
       //SetPagePic(GRAPHICS_PAGE_0, Pic_0053_49_229);//左侧指针

       //SetPagePic(GRAPHICS_PAGE_0, Pic_0037_309_380);//功率线条
       //SetPagePic(GRAPHICS_PAGE_0, Pic_0045_249_412);//power
       //SetPagePic(GRAPHICS_PAGE_0, Pic_0044_454_405);//功率8km
       //SetPagePic(GRAPHICS_PAGE_0, Pic_0043_313_405);//功率-3km
        
    }
    else
    {
         //SetPagePic(GRAPHICS_PAGE_0, Pic_0001_0_0);
         //SetPagePic(GRAPHICS_PAGE_0, Pic_0013_0_57);
         //SetPagePic(GRAPHICS_PAGE_0, Pic_0012_0_95);
         //SetPagePic(GRAPHICS_PAGE_0, Pic_0047_264_95);
         //SetPagePic(GRAPHICS_PAGE_0, Pic_0048_610_229);
         //SetPagePic(GRAPHICS_PAGE_0, Pic_0052_44_95);
         //SetPagePic(GRAPHICS_PAGE_0, Pic_0053_49_229);
         //SetPagePic(GRAPHICS_PAGE_0, Pic_0057_376_336);
         
    }
}

void AMT630H_GUI_DisplayProc(void)
{
    SetPageGuid(GRAPHICS_PAGE_0, 1, 1, 1);
    AMT630H_GUI_Background();


    PackedTransfer_Page();
}